<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (11.0.9) on Sat Nov 07 18:13:25 CET 2020 -->
<title>Navegador</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2020-11-07">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Navegador";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<h2 title="Class Navegador" class="title">Class Navegador</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Navegador</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Navegador</span>
extends java.lang.Object</pre>
<div class="block">Classe navegador que implementa totes les funcions que necessitem, treballa amb dues Piles una que emmagatzema urls on he estat per anar enrerre o per anar endevant
 també conte un arraylist, per emmagaztemar l'historial de pagines web on he estat i un HashMap per emmagatzemar les webs on he estat sense repeticions amb la quantitat de vegades
 que han sigut visitades.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>07/11/2020</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Roger Deu Martí</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String)">Navegador</a></span>&#8203;(java.lang.String&nbsp;url)</code></th>
<td class="colLast">
<div class="block">Constructor de la classe Navegador</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#anarA(java.lang.String)">anarA</a></span>&#8203;(java.lang.String&nbsp;novaURL)</code></th>
<td class="colLast">
<div class="block">Aquest metode s'utilitza per anar a una nova pagina web, primer es fa una comprovació de la url per a veure si es valida o no, i despres es passa a la pila per anar enrerre,
 es guarda en l'historial, s'elimina la pila per anar endevant, ja que hem començat altre vegada les webs que tenim davant, finalment comprovem que la nova url esta en el mapa o no,
 en cas que no ho estigui l'introduim per primera vegada i en cas que hi sigui , sumem 1 a les aparicions.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#comprobarMapRepetit(java.lang.String)">comprobarMapRepetit</a></span>&#8203;(java.lang.String&nbsp;url)</code></th>
<td class="colLast">
<div class="block">Aquesta metode ens comprova si la url esta contenida ja en el mapa o no, en cas que ho estigui sumem +1 al valor de la clau que es l'url</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#endavant()">endavant</a></span>()</code></th>
<td class="colLast">
<div class="block">Aquest metode ens serveix per anar endevant, agafem l'url de la pila endevant fent un pop, per tant l'agafem i la borrem, després la passem a la pila enrerre, també
 l'afegim a l'historial i comprobem el mapa.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#enrere()">enrere</a></span>()</code></th>
<td class="colLast">
<div class="block">Amb aquest metode podem visitar la pagina web o les pagines web que hem visitat anteriorment, primer fem un pop de la pilaenrere per així recuperar l'url,
 l'url que recuperem la guardem en la pila endevant per així poder visitar-la después si volem, i la nova url a utilitzar sera la que treurem amb un peek ja que amb el pop
 treiem l'url actual que teniem, després l'afegim a l'historial i comprobem el mapa per a sumarli a les visites realitzades.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getUrl()">getUrl</a></span>()</code></th>
<td class="colLast">
<div class="block">Metode per a retornar l'url emmagatzemada en la variable per així poder accedir desde la classe InternetExplorer</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#inici()">inici</a></span>()</code></th>
<td class="colLast">
<div class="block">Aquest es el metode inicial per a poder guardar la primera web que es carrega, la guardem en l'historial i l'afegim en el mapa</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setUrl(java.lang.String)">setUrl</a></span>&#8203;(java.lang.String&nbsp;url)</code></th>
<td class="colLast">
<div class="block">Metode per a assignar una nova url</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#veureHistorial()">veureHistorial</a></span>()</code></th>
<td class="colLast">
<div class="block">Aquest metode ens serveix per a imprimir l'historial amb una lambda que es va imprimint l'array list que utilitzem</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#veureVisitades()">veureVisitades</a></span>()</code></th>
<td class="colLast">
<div class="block">Amb aquest metode imprimim nots els valors del hashmap per veure l'url i totes les visites que ha tingut cadascuna</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Navegador</h4>
<pre>public&nbsp;Navegador&#8203;(java.lang.String&nbsp;url)</pre>
<div class="block">Constructor de la classe Navegador</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - rep la primera url</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getUrl()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUrl</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getUrl()</pre>
<div class="block">Metode per a retornar l'url emmagatzemada en la variable per així poder accedir desde la classe InternetExplorer</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>retorna l'url de la web activa</dd>
</dl>
</li>
</ul>
<a id="setUrl(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUrl</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setUrl&#8203;(java.lang.String&nbsp;url)</pre>
<div class="block">Metode per a assignar una nova url</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - emmagatzema a la variable de la classe</dd>
</dl>
</li>
</ul>
<a id="anarA(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>anarA</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;anarA&#8203;(java.lang.String&nbsp;novaURL)</pre>
<div class="block">Aquest metode s'utilitza per anar a una nova pagina web, primer es fa una comprovació de la url per a veure si es valida o no, i despres es passa a la pila per anar enrerre,
 es guarda en l'historial, s'elimina la pila per anar endevant, ja que hem començat altre vegada les webs que tenim davant, finalment comprovem que la nova url esta en el mapa o no,
 en cas que no ho estigui l'introduim per primera vegada i en cas que hi sigui , sumem 1 a les aparicions.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>novaURL</code> - aquesta es l'url amb la que treballem, i es la nova url a la qual volem anar.</dd>
</dl>
</li>
</ul>
<a id="enrere()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enrere</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;enrere()</pre>
<div class="block">Amb aquest metode podem visitar la pagina web o les pagines web que hem visitat anteriorment, primer fem un pop de la pilaenrere per així recuperar l'url,
 l'url que recuperem la guardem en la pila endevant per així poder visitar-la después si volem, i la nova url a utilitzar sera la que treurem amb un peek ja que amb el pop
 treiem l'url actual que teniem, després l'afegim a l'historial i comprobem el mapa per a sumarli a les visites realitzades.
 I amb aquesta excepció en cas que la pila estigui buida ens avisa</div>
</li>
</ul>
<a id="comprobarMapRepetit(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>comprobarMapRepetit</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;comprobarMapRepetit&#8203;(java.lang.String&nbsp;url)</pre>
<div class="block">Aquesta metode ens comprova si la url esta contenida ja en el mapa o no, en cas que ho estigui sumem +1 al valor de la clau que es l'url</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - Es l'url actual amb la que estem treballant</dd>
</dl>
</li>
</ul>
<a id="endavant()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>endavant</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;endavant()</pre>
<div class="block">Aquest metode ens serveix per anar endevant, agafem l'url de la pila endevant fent un pop, per tant l'agafem i la borrem, després la passem a la pila enrerre, també
 l'afegim a l'historial i comprobem el mapa.
 En l'excepcio el que fem es mirar si hi han valors a la pila o no</div>
</li>
</ul>
<a id="veureHistorial()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>veureHistorial</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;veureHistorial()</pre>
<div class="block">Aquest metode ens serveix per a imprimir l'historial amb una lambda que es va imprimint l'array list que utilitzem</div>
</li>
</ul>
<a id="inici()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inici</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;inici()</pre>
<div class="block">Aquest es el metode inicial per a poder guardar la primera web que es carrega, la guardem en l'historial i l'afegim en el mapa</div>
</li>
</ul>
<a id="veureVisitades()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>veureVisitades</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;veureVisitades()</pre>
<div class="block">Amb aquest metode imprimim nots els valors del hashmap per veure l'url i totes les visites que ha tingut cadascuna</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
